Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.io
Enum I3DXML.TextureCoordinatesBufferType.TextureDimensionType

    java.lang.Object
      java.lang.Enum<I3DXML.TextureCoordinatesBufferType.TextureDimensionType>
          igeo.io.I3DXML.TextureCoordinatesBufferType.TextureDimensionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<I3DXML.TextureCoordinatesBufferType.TextureDimensionType>

Enclosing class:
  I3DXML.TextureCoordinatesBufferType

    public static enum I3DXML.TextureCoordinatesBufferType.TextureDimensionType

extends java.lang.Enum<I3DXML.TextureCoordinatesBufferType.TextureDimensionType>

Enum Constant Summary
`_1D`
`_2D`
`_3D`

Method Summary
`static I3DXML.TextureCoordinatesBufferType.TextureDimensionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static I3DXML.TextureCoordinatesBufferType.TextureDimensionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _1D

    public static final I3DXML.TextureCoordinatesBufferType.TextureDimensionType _1D

### _2D

    public static final I3DXML.TextureCoordinatesBufferType.TextureDimensionType _2D

### _3D

    public static final I3DXML.TextureCoordinatesBufferType.TextureDimensionType _3D

Method Detail

### values

    public static final I3DXML.TextureCoordinatesBufferType.TextureDimensionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(I3DXML.TextureCoordinatesBufferType.TextureDimensionType c : I3DXML.TextureCoordinatesBufferType.TextureDimensionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static I3DXML.TextureCoordinatesBufferType.TextureDimensionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD